Loading...
Searching...
No Matches
OBChainsParser Class Reference

`#include <openbabel/chains.h>`

## Public Member Functions

| OBChainsParser (void)
| ~OBChainsParser (void)
bool | PerceiveChains (OBMol &mol, bool nukeSingleResidue=false)

## Detailed Description

Perceives peptide or nucleotide chains and residues in an OBMol.

Perceive peptide or nucleotide chains and residues from atom connectivity. Based on original RasMol code by Roger Sayle and modified by Joe Corkery. For more on Roger's original talk, see: http://www.daylight.com/meetings/mug96/sayle/sayle.html

## Constructor & Destructor Documentation

## OBChainsParser()

OBChainsParser | ( | void |  | ) |

## ~OBChainsParser()

~OBChainsParser | ( | void |  | ) |

## Member Function Documentation

## PerceiveChains()

bool PerceiveChains | ( | OBMol & | mol,
|  | bool | nukeSingleResidue = false )

Perceive macromolecular (peptide and nucleotide) residues and chains

Parameters

  mol | The molecule to parse and update
  nukeSingleResidue | If only one residue is found, clear information default = false – single residue files should still be recognized.

The documentation for this class was generated from the following files:

- chains.h
- chains.cpp